# Sky Colors

The sky\_colors endpoint offers advanced manipulation of weather conditions in images, allowing users to alter the atmosphere of a scene while keeping the building and associated elements intact. Perfect for architectural visualizations, this feature can turn a sunny day into a rainy or snowy one, providing a range of atmospheric conditions for your visual needs. This capability is particularly valuable for architects and real estate marketers who want to showcase properties under different environmental scenarios

## ENDPOINT&#x20;

<mark style="color:green;">**`POST`**</mark>  <mark style="color:purple;">**`/sky_colors`**</mark>

An API URL would be like <mark style="color:blue;"><https://homedesigns.ai/api/v2/sky\\_colors></mark>

{% hint style="info" %} <mark style="color:blue;">Modify the weather in your image with the sky\_colors endpoint transforming sunny scenes into rainy and more without altering other elements.</mark>
{% endhint %}

{% tabs %}
{% tab title="Request" %}
{% hint style="info" %} <mark style="color:blue;">An API request must be in the</mark> <mark style="color:orange;">**`form-data`**</mark> <mark style="color:blue;">format.</mark>
{% endhint %}

### Request

<table><thead><tr><th width="195">Parameters &#x26; Data Type</th><th width="181">Value</th><th>Description</th></tr></thead><tbody><tr><td><p><mark style="color:red;"><strong><code>image</code></strong></mark>  </p><p>file[ .jpg, .jpeg, .png] / base64 Image <mark style="color:green;"><code>string</code></mark></p></td><td>-</td><td>The image to be processed by the API. The image dimensions must be 512x512 pixels or greater for optimal results. <strong>(Required Parameter)</strong></td></tr><tr><td><mark style="color:red;"><strong><code>no_design</code></strong></mark><br><mark style="color:green;"><code>integer</code></mark></td><td>Min-1,Max-4</td><td>Specifies the number of design variations you want the API to generate. The minimum is 1 and the maximum is 4. <strong>(Required Parameter)</strong></td></tr><tr><td><mark style="color:red;"><strong><code>weather</code></strong></mark><br><mark style="color:green;"><code>string</code></mark></td><td>Weather should be as per weather type</td><td>Indicates the type of weather for which the design is intended, like 'Clear Sky', 'Cloudy', 'Windy', etc. <strong>(Required Parameter)</strong></td></tr></tbody></table>

{% endtab %}

{% tab title="Errors" %}

### Parameters & Errors

<mark style="color:red;">**`image`**</mark>

<table><thead><tr><th width="327">Error Messages</th><th>Reason</th></tr></thead><tbody><tr><td>Image field required</td><td>Image not provided</td></tr><tr><td>Invalid image size. The image width and height must be 512x512 or greater than 512x512 pixels.</td><td>Image Size Not Proper.</td></tr><tr><td>Invalid image format. Only PNG, JPEG and JPG images are allowed.</td><td>Image Format not valid.</td></tr></tbody></table>

<mark style="color:red;">**`no_design`**</mark>

<table><thead><tr><th width="327">Error Messages</th><th>Reason</th></tr></thead><tbody><tr><td>no_design field required</td><td>no_design not provided</td></tr><tr><td>no_design value is not a valid enumeration member; permitted: 1, 2, 3, 4</td><td>no_design not provided properly</td></tr></tbody></table>

<mark style="color:red;">**`weather`**</mark>

<table><thead><tr><th width="327">Error Messages</th><th>Reason</th></tr></thead><tbody><tr><td>weather field required</td><td>weather not provided</td></tr><tr><td>weather should be in ['Sunshine Color','Clear Sky','Rainy'...] this array will replaced dynamically as per your design_type</td><td>weather not provided properly</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

<pre class="language-json"><code class="lang-json"><strong>
</strong><strong>//Output should be in list of array depends on no of designs as shown below:
</strong>
{
    "input_image": "https://storage.googleapis.com/generativebucketapi/UserGenerations/cristian/input-20230901-085649876484.png",
    "output_images": [
            "https://storage.googleapis.com/generativebucketapi/UserGenerations/cristian/20230901-085649876484-1.png",
            "https://storage.googleapis.com/generativebucketapi/UserGenerations/cristian/20230901-085649876484-2.png",
            "https://storage.googleapis.com/generativebucketapi/UserGenerations/cristian/20230901-085649876484-3.png"
    ]
}

</code></pre>

{% endtab %}
{% endtabs %}

## Weather Types

The user can enter or choose different weather conditions to redesign the sky color of the images. Here are some examples of weather types that the user can use to change the sky color in the image accordingly.

* Sunshine
* Clear Sky
* Rainy
* Cloudy
* Windy
* Dawn
* Dusk
* Twilight
* Sunny
* Night


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.homedesigns.ai/homedesignsai-api-documentation/core-apis/sky-colors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
